### Project config Sections ###

[metadata]
name = example_research_project
version = 0.0.1
author = Wikimedia Foundation Research team
description = Example research project
long_description = file: README.md
url = https://gitlab.wikimedia.org/repos/research/example-research-project

[options]
packages = find:
python_requires = >=3.7, <4.0

install_requires =
    research_common @ git+https://gitlab.wikimedia.org/repos/research/research-common.git
    mwparserfromhell==0.6
    psutil
    pyspark[sql]==2.4.4
    python-gitlab
    wikitextparser

[options.extras_require]
# Usage: pip install .[test]
test =
    pytest==6.2.2
    pytest-cov==3.*
    pytest-spark==0.6.0

# Usage: pip install .[dev]
dev =



# to add package data files that will be available as resources
# instructions https://jwodder.github.io/kbits/posts/pypkg-data/
# [options.package_data]
# *: ['config/*.tsv', 'config/*.json']


[options.entry_points]
console_scripts =
    # Add an easily findable entry poinst (in bin/) when installed.
    # NOTE: for pyspark jobs, the executable name MUST end in .py.
    link_graph.py = example_research.main:link_graph_main


